%{!?_texmf: %define _texmf %(eval "[ -x /usr/bin/kpsewhich ] && echo `kpsewhich -expand-var '$TEXMFMAIN'` || echo %{_datadir}/texmf")}

Name:           bibexport
# taken from bibexport.dtx: \def\fileversion{2.10} 
Version:        2.10
Release:        3%{?dist}
Summary:        Extract entries from BibTeX and .aux files

Group:          Applications/Publishing
License:        LPPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/bibexport.html
# fetched wuth wget -N, renamed using timestamp bibexport-YYYYMMDD.zip
#Source0:        http://tug.ctan.org/biblio/bibtex/utils/bibexport.zip
Source0:        bibexport-20060320.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/kpsewhich
BuildRequires:  tetex-latex
Requires:       tetex
Requires(post):   /usr/bin/texhash
Requires(postun): /usr/bin/texhash


%description
bibexport.sh is a small shell script, relying on BibTeX, that extracts 
entries of one or several bib file(s). It will expand abbreviations 
and cross-references, except standard month and journal
abbreviations. The output is indented as neatly as possible, yielding a
readable bib file even if the original one was not.


%prep
%setup -q -n %{name}


%build
latex bibexport.ins


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_texmf}/bibtex/bst/%{name}
install -p -m0755 bibexport.sh $RPM_BUILD_ROOT%{_bindir}
install -p -m0644 *.bst $RPM_BUILD_ROOT%{_texmf}/bibtex/bst/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash > /dev/null 2>&1 || :

%postun
texhash > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc bibexport.pdf README
%{_bindir}/bibexport.sh
%{_texmf}/bibtex/bst/%{name}/


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 23 2007 Patrice Dumas <pertusus@free.fr> 2.10-2
- fix license

* Wed Aug  8 2007 Patrice Dumas <pertusus@free.fr> 2.10-1
- initial packaging
